/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_execute_loop {
namespace execute_loop {
namespace multi_read_unit {
namespace read_unit {
namespace reservation_station {


#undef  FUNCTION
#define FUNCTION "Reservation_station::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Reservation_station,FUNCTION,"Begin");

    Parameters_test test ("Reservation_station");

    if (_size_queue < _nb_inst_retire)
      test.error("The reservation_station can't have more retire port than entry in the queue.");

    log_printf(FUNC,Reservation_station,FUNCTION,"End");

    return test;
  };

}; // end namespace reservation_station
}; // end namespace read_unit
}; // end namespace multi_read_unit
}; // end namespace execute_loop
}; // end namespace multi_execute_loop
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
